package com.sckw.payment.model.constant;

import java.util.Objects;

/**
 * 货到付款枚举
 *
 * @author xucaiqin
 * @date 2023-07-11 12:00:52
 */
public enum ReceiveEnum {
    APPLY(1, "已提交", "1"),
    TRANSFERRING(2, "支付中", "2"),
    FAILED(3, "支付失败", "3"),
    SUCCESS(4, "支付成功", "4");

    private final int status;
    private final String desc;
    private final String label;

    ReceiveEnum(int status, String desc, String label) {
        this.status = status;
        this.label = label;
        this.desc = desc;
    }

    public static String getDesc(Integer status) {
        if (Objects.isNull(status)) {
            return "";
        }
        for (ReceiveEnum value : values()) {
            if (status == value.getStatus()) {
                return value.getDesc();
            }
        }
        return "";
    }

    public String getLabel() {
        return label;
    }

    public int getStatus() {
        return status;
    }


    public String getDesc() {
        return desc;
    }

}
